import request from '@/utils/request'

// 查询定向知识点关系列表
export function listDirectKnowledge(query) {
  return request({
    url: '/learn/directKnowledge/list',
    method: 'get',
    params: query
  })
}

// 查询定向知识点关系详细
export function getDirectKnowledge(id) {
  return request({
    url: '/learn/directKnowledge/' + id,
    method: 'get'
  })
}

// 新增定向知识点关系
export function addDirectKnowledge(data) {
  return request({
    url: '/learn/directKnowledge',
    method: 'post',
    data: data
  })
}

// 修改定向知识点关系
export function updateDirectKnowledge(data) {
  return request({
    url: '/learn/directKnowledge',
    method: 'put',
    data: data
  })
}

// 删除定向知识点关系
export function delDirectKnowledge(id) {
  return request({
    url: '/learn/directKnowledge/' + id,
    method: 'delete'
  })
}
